Debian Bug report logs - #621890
haxe: FTBFS on kfreebsd-*: Uncaught exception - load.c(176) : Module not found : haxedoc.neko

version graph

Package: src:haxe; Maintainer for src:haxe is Debian QA Group <packages@qa.debian.org>;

Reported by: Cyril Brulebois <kibi@debian.org>

Date: Sun, 10 Apr 2011 01:40:02 UTC

Severity: serious

Found in version haxe/1:2.7+20110131-2

Fixed in versions haxe/1:2.7+20110131-1, haxe/1:3.0.0~svn6707-3

Done: Barry deFreese <bdefreese@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, kibi@debian.org, Jens Peter Secher <jps@debian.org>:
Bug#621890; Package src:haxe. (Sun, 10 Apr 2011 01:40:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Cyril Brulebois <kibi@debian.org>:
New Bug report received and forwarded. Copy sent to kibi@debian.org, Jens Peter Secher <jps@debian.org>. (Sun, 10 Apr 2011 01:40:06 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Cyril Brulebois <kibi@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: haxe: FTBFS on kfreebsd-*: Uncaught exception - load.c(176) : Module not found : haxedoc.neko
Date: Sat, 09 Apr 2011 23:04:42 +0200
Source: haxe
Version: 1:2.7+20110131-2
Severity: serious
Justification: FTBFS
User: debian-bsd@lists.debian.org
Usertags: kfreebsd

Hi,

your package no longer builds on kfreebsd-*:
| > ocamlfind ocamlopt -o ../bin/haxe -linkpkg -package xml-light ../ocaml/extLib.cmxa ../ocaml/extc/extc.cmxa ../ocaml/swflib/swflib.cmxa /usr/lib/ocaml/xml-light/xml-light.cmxa unix.cmxa str.cmxa ast.cmx lexer.cmx type.cmx common.cmx parser.cmx typecore.cmx genxml.cmx typeload.cmx codegen.cmx optimizer.cmx ../neko/libs/include/ocaml/nast.cmx ../neko/libs/include/ocaml/binast.cmx ../neko/libs/include/ocaml/nxml.cmx genneko.cmx genas3.cmx genjs.cmx genswf8.cmx genswf9.cmx genswf.cmx genphp.cmx gencpp.cmx interp.cmx typer.cmx main.cmx
| /build/buildd-haxe_2.7+20110131-2-kfreebsd-amd64-YLtPnw/haxe-2.7+20110131/bin/haxe /build/buildd-haxe_2.7+20110131-2-kfreebsd-amd64-YLtPnw/haxe-2.7+20110131/haxe/std/tools/haxedoc/haxedoc.hxml
| Uncaught exception - load.c(176) : Module not found : haxedoc.neko
| Error : Neko compilation failure
| make: *** [build-stamp] Error 1

Full build logs:
  https://buildd.debian.org/status/package.php?p=haxe

KiBi.




Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#621890; Package src:haxe. (Tue, 12 Apr 2011 19:09:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jens Peter Secher <jps@debian.org>:
Extra info received and forwarded to list. (Tue, 12 Apr 2011 19:09:03 GMT) Full text and rfc822 format available.

Message #10 received at 621890@bugs.debian.org (full text, mbox):

From: Jens Peter Secher <jps@debian.org>
To: 621890@bugs.debian.org
Subject: Re: Bug#621890: haxe: FTBFS on kfreebsd-*: Uncaught exception - load.c(176) : Module not found : haxedoc.neko
Date: Tue, 12 Apr 2011 21:06:30 +0200
This seems to be the same problem as Bug #557290, so I think the problem
is in the buildd.




Message sent on to Cyril Brulebois <kibi@debian.org>:
Bug#621890. (Fri, 29 Apr 2011 22:39:05 GMT) Full text and rfc822 format available.

Message #13 received at 621890-submitter@bugs.debian.org (full text, mbox):

From: Jens Peter Secher <jps@debian.org>
To: 621890-submitter@bugs.debian.org
Subject: haxe & kfreebsd buildd
Date: Sat, 30 Apr 2011 00:37:48 +0200
-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Hi, it seem that mehdi@debian.org has somehow requested that haxe is
removed from testing.  I assume it is because it does not build on
kfreebsd.  (Is it?)

Now, when I build the package manually on kfreebsd, it works fine.
There have been such buildd problems before with the exact same error
message.

So, I cannot do anything about it.  Does this mean that I have to
exclude the haxe package from kfreebsd?  Please advice.
- -- 
Jens Peter Secher, GPG fingerprint 0EE5978AFE63E8A1.

A. Because it breaks the logical sequence of discussion.
Q. Why is top posting bad?
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)
Comment: Using GnuPG with Mozilla - http://enigmail.mozdev.org/

iJwEAQECAAYFAk27PbkACgkQiFVdEFPVQL/0XAQAws6SPYnH8JbuNiuAZm0Fl8UN
SgXijaAIdP8aoVMPBWw361W6Agy0OE7kfEFI95wX8Q4nK4kjE8WRU0q55JiRjgQE
Lbwsff3VLuMU6ci0K/qhaaAZdub9FsZGRkZSxGJxiMD2E7uzAMRZe4wjFxvQGIOq
UIgxnNXrSk6e2RA67Zk=
=1Sso
-----END PGP SIGNATURE-----




Information forwarded to debian-bugs-dist@lists.debian.org, Jens Peter Secher <jps@debian.org>:
Bug#621890; Package src:haxe. (Fri, 29 Apr 2011 22:45:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Cyril Brulebois <kibi@debian.org>:
Extra info received and forwarded to list. Copy sent to Jens Peter Secher <jps@debian.org>. (Fri, 29 Apr 2011 22:45:03 GMT) Full text and rfc822 format available.

Message #18 received at 621890@bugs.debian.org (full text, mbox):

From: Cyril Brulebois <kibi@debian.org>
To: Jens Peter Secher <jps@debian.org>
Cc: 621890@bugs.debian.org
Subject: Re: Bug#621890: haxe & kfreebsd buildd
Date: Sat, 30 Apr 2011 00:42:23 +0200
[Message part 1 (text/plain, inline)]
Hi,

Jens Peter Secher <jps@debian.org> (30/04/2011):
> Hi, it seem that mehdi@debian.org has somehow requested that haxe is
> removed from testing.  I assume it is because it does not build on
> kfreebsd.  (Is it?)

you should ask him, not me.

> So, I cannot do anything about it.  Does this mean that I have to
> exclude the haxe package from kfreebsd?  Please advice.

Please talk to the buildd maintainers and to the porters:
  $arch@buildd.d.o
  debian-bsd@lists.d.o

Mraw,
KiBi.
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#621890; Package src:haxe. (Fri, 29 Apr 2011 23:03:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jens Peter Secher <jps@debian.org>:
Extra info received and forwarded to list. (Fri, 29 Apr 2011 23:03:03 GMT) Full text and rfc822 format available.

Message #23 received at 621890@bugs.debian.org (full text, mbox):

From: Jens Peter Secher <jps@debian.org>
To: kfreebsd-i386@buildd.debian.org, kfreebsd-amd64@buildd.debian.org
Cc: debian-bsd@lists.debian.org, 621890@bugs.debian.org
Subject: haxe & kfreebsd buildd
Date: Sat, 30 Apr 2011 00:58:51 +0200
-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Hi, it seem that mehdi@debian.org has somehow requested that haxe is
removed from testing.  I assume it is because it does not build on
kfreebsd.  (Is it?)

Now, when I build the package manually on kfreebsd-amd64, it works fine.
There have been such buildd problems before with the exact same error
message.

So, I cannot do anything about it.  Does this mean that I have to
exclude the haxe package from kfreebsd?  Please advice.

Cheers,
- -- 
Jens Peter Secher, GPG fingerprint 0EE5978AFE63E8A1.

A. Because it breaks the logical sequence of discussion.
Q. Why is top posting bad?
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)
Comment: Using GnuPG with Mozilla - http://enigmail.mozdev.org/

iJwEAQECAAYFAk27QqgACgkQiFVdEFPVQL9VhAP/YpbJ4KNDtS7LUx3zoV6Pdmcl
L4SdMVp3v/1xONaAE7FTmVAfKBAetspUyMyoEG8NSt2hXhDGZtEASLgJmnyji6nT
v77a2UVvKQBaLtjkFf8GH1AtFxMKcdgh1QPZX/RUdBecSxRPEnOSfXyCMm3xceWg
MBaHitVYqmndmJZW8Jw=
=BEYx
-----END PGP SIGNATURE-----




Information stored :
Bug#621890; Package src:haxe. (Sat, 30 Apr 2011 09:14:14 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mehdi Dogguy <mehdi@dogguy.org>:
Extra info received and filed, but not forwarded. (Sat, 30 Apr 2011 09:14:20 GMT) Full text and rfc822 format available.

Message #28 received at 621890-quiet@bugs.debian.org (full text, mbox):

From: Mehdi Dogguy <mehdi@dogguy.org>
To: Jens Peter Secher <jps@debian.org>, 621890-quiet@bugs.debian.org
Cc: 621890-submitter@bugs.debian.org
Subject: Re: Bug#621890: haxe & kfreebsd buildd
Date: Sat, 30 Apr 2011 10:57:22 +0200
On  0, Jens Peter Secher <jps@debian.org> wrote:
> -----BEGIN PGP SIGNED MESSAGE-----
> Hash: SHA1
> 
> Hi, it seem that mehdi@debian.org has somehow requested that haxe is
> removed from testing.  I assume it is because it does not build on
> kfreebsd.  (Is it?)
> 

I removed it because it wasn't ready when we needed to migrate OCaml.
Now OCaml migrated, haxe will migrate again as soon as it's fixed
everywhere (e.g. on kfeeebsd-*).

Besides, I don't see any reason to exclude haxe from kfeebsd-*, it
should be able to build again (somehow).

Regards,

-- 
Mehdi Dogguy




Message sent on to Cyril Brulebois <kibi@debian.org>:
Bug#621890. (Sat, 30 Apr 2011 09:14:24 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#621890; Package src:haxe. (Sat, 30 Apr 2011 11:33:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jens Peter Secher <jps@debian.org>:
Extra info received and forwarded to list. (Sat, 30 Apr 2011 11:33:07 GMT) Full text and rfc822 format available.

Message #36 received at 621890@bugs.debian.org (full text, mbox):

From: Jens Peter Secher <jps@debian.org>
To: Mehdi Dogguy <mehdi@dogguy.org>
Cc: 621890@bugs.debian.org
Subject: Re: Bug#621890: haxe & kfreebsd buildd
Date: Sat, 30 Apr 2011 13:29:11 +0200
On 2011-04-30 10:57, Mehdi Dogguy wrote:
> I removed it because it wasn't ready when we needed to migrate OCaml.
> Now OCaml migrated, haxe will migrate again as soon as it's fixed
> everywhere (e.g. on kfeeebsd-*).
> 
> Besides, I don't see any reason to exclude haxe from kfeebsd-*, it
> should be able to build again (somehow).

Great, thanks!

Cheers,
/JP




Information forwarded to debian-bugs-dist@lists.debian.org, Jens Peter Secher <jps@debian.org>:
Bug#621890; Package src:haxe. (Mon, 02 May 2011 15:21:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Christoph Egger <christoph@debian.org>:
Extra info received and forwarded to list. Copy sent to Jens Peter Secher <jps@debian.org>. (Mon, 02 May 2011 15:21:03 GMT) Full text and rfc822 format available.

Message #41 received at 621890@bugs.debian.org (full text, mbox):

From: Christoph Egger <christoph@debian.org>
To: Jens Peter Secher <jps@debian.org>
Cc: debian-bsd@lists.debian.org, 621890@bugs.debian.org
Subject: Re: haxe & kfreebsd buildd
Date: Mon, 02 May 2011 17:08:07 +0200
[Message part 1 (text/plain, inline)]
Jens Peter Secher <jps@debian.org> writes:
> Hi, it seem that mehdi@debian.org has somehow requested that haxe is
> removed from testing.  I assume it is because it does not build on
> kfreebsd.  (Is it?)
>
> Now, when I build the package manually on kfreebsd-amd64, it works fine.
> There have been such buildd problems before with the exact same error
> message.

It fails in a local kfreebsd-i386 (kvm based) exactly the same way -- so
it seems to be rather reproducible. Have you tried building it on the
porterbox (io.debian.net) ?

Regards

    Christoph

[haxe_2.7+20110131-3_kfreebsd-i386.build (application/octet-stream, attachment)]
[Message part 3 (text/plain, inline)]
-- 
9FED 5C6C E206 B70A 5857  70CA 9655 22B9 D49A E731
Debian Developer | Lisp Hacker | CaCert Assurer

A. Because it breaks the logical sequence of discussion
Q. Why is top posting bad?
[Message part 4 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Jens Peter Secher <jps@debian.org>:
Bug#621890; Package src:haxe. (Mon, 02 May 2011 18:27:11 GMT) Full text and rfc822 format available.

Acknowledgement sent to Petr Salinger <Petr.Salinger@seznam.cz>:
Extra info received and forwarded to list. Copy sent to Jens Peter Secher <jps@debian.org>. (Mon, 02 May 2011 18:27:11 GMT) Full text and rfc822 format available.

Message #46 received at 621890@bugs.debian.org (full text, mbox):

From: Petr Salinger <Petr.Salinger@seznam.cz>
To: Christoph Egger <christoph@debian.org>
Cc: Jens Peter Secher <jps@debian.org>, debian-bsd@lists.debian.org, 621890@bugs.debian.org
Subject: Re: haxe & kfreebsd buildd
Date: Mon, 2 May 2011 19:58:34 +0200 (CEST)
> It fails in a local kfreebsd-i386 (kvm based) exactly the same way -- so
> it seems to be rather reproducible.

I tried it today and it does not fail in my local
kfreebsd-i386 (kvm based) :-(

Petr





Information forwarded to debian-bugs-dist@lists.debian.org, Jens Peter Secher <jps@debian.org>:
Bug#621890; Package src:haxe. (Mon, 02 May 2011 21:54:49 GMT) Full text and rfc822 format available.

Acknowledgement sent to Christoph Egger <christoph@christoph-egger.org>:
Extra info received and forwarded to list. Copy sent to Jens Peter Secher <jps@debian.org>. (Mon, 02 May 2011 21:54:49 GMT) Full text and rfc822 format available.

Message #51 received at 621890@bugs.debian.org (full text, mbox):

From: Christoph Egger <christoph@christoph-egger.org>
To: Petr Salinger <Petr.Salinger@seznam.cz>
Cc: Jens Peter Secher <jps@debian.org>, debian-bsd@lists.debian.org, 621890@bugs.debian.org
Subject: Re: haxe & kfreebsd buildd
Date: Mon, 02 May 2011 23:43:56 +0200
[Message part 1 (text/plain, inline)]
Petr Salinger <Petr.Salinger@seznam.cz> writes:
>> It fails in a local kfreebsd-i386 (kvm based) exactly the same way -- so
>> it seems to be rather reproducible.
>
> I tried it today and it does not fail in my local
> kfreebsd-i386 (kvm based) :-(

With or without sbuild involved?

Regards

    Christoph

-- 
9FED 5C6C E206 B70A 5857  70CA 9655 22B9 D49A E731
Debian Developer | Lisp Hacker | CaCert Assurer

A. Because it breaks the logical sequence of discussion
Q. Why is top posting bad?
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Jens Peter Secher <jps@debian.org>:
Bug#621890; Package src:haxe. (Wed, 04 May 2011 18:00:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Petr Salinger <Petr.Salinger@seznam.cz>:
Extra info received and forwarded to list. Copy sent to Jens Peter Secher <jps@debian.org>. (Wed, 04 May 2011 18:00:03 GMT) Full text and rfc822 format available.

Message #56 received at 621890@bugs.debian.org (full text, mbox):

From: Petr Salinger <Petr.Salinger@seznam.cz>
To: Christoph Egger <christoph@debian.org>
Cc: Jens Peter Secher <jps@debian.org>, 621890@bugs.debian.org
Subject: Re: haxe & kfreebsd buildd
Date: Wed, 4 May 2011 20:04:10 +0200 (CEST)
>>> It fails in a local kfreebsd-i386 (kvm based) exactly the same way -- so
>>> it seems to be rather reproducible.

>> I tried it today and it does not fail in my local
>> kfreebsd-i386 (kvm based) :-(

> With or without sbuild involved?

Without.

Plain "dpkg-buildpackage -B -uc".

Petr





Information forwarded to debian-bugs-dist@lists.debian.org, Jens Peter Secher <jps@debian.org>:
Bug#621890; Package src:haxe. (Wed, 04 May 2011 20:33:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Christoph Egger <christoph@debian.org>:
Extra info received and forwarded to list. Copy sent to Jens Peter Secher <jps@debian.org>. (Wed, 04 May 2011 20:33:04 GMT) Full text and rfc822 format available.

Message #61 received at 621890@bugs.debian.org (full text, mbox):

From: Christoph Egger <christoph@debian.org>
To: Petr Salinger <Petr.Salinger@seznam.cz>
Cc: Jens Peter Secher <jps@debian.org>, 621890@bugs.debian.org
Subject: Re: haxe & kfreebsd buildd
Date: Wed, 04 May 2011 22:30:51 +0200
[Message part 1 (text/plain, inline)]
Petr Salinger <Petr.Salinger@seznam.cz> writes:
>>>> It fails in a local kfreebsd-i386 (kvm based) exactly the same way -- so
>>>> it seems to be rather reproducible.
>
>>> I tried it today and it does not fail in my local
>>> kfreebsd-i386 (kvm based) :-(
>
>> With or without sbuild involved?
>
> Without.
>
> Plain "dpkg-buildpackage -B -uc".

Outside schroot / sbuild it works here as well.

Regards

    Christoph

-- 
9FED 5C6C E206 B70A 5857  70CA 9655 22B9 D49A E731
Debian Developer | Lisp Hacker | CaCert Assurer

A. Because it breaks the logical sequence of discussion
Q. Why is top posting bad?
[Message part 2 (application/pgp-signature, inline)]

Added blocking bug(s) of 621890: 681594 Request was from Gabriele Giacone <1o5g4r8o@gmail.com> to control@bugs.debian.org. (Sat, 21 Jul 2012 03:39:08 GMT) Full text and rfc822 format available.

Marked as fixed in versions haxe/1:2.7+20110131-1. Request was from Steven Chamberlain <steven@pyro.eu.org> to control@bugs.debian.org. (Mon, 31 Dec 2012 00:33:05 GMT) Full text and rfc822 format available.

Reply sent to Barry deFreese <bdefreese@debian.org>:
You have taken responsibility. (Fri, 26 Jul 2013 13:36:04 GMT) Full text and rfc822 format available.

Notification sent to Cyril Brulebois <kibi@debian.org>:
Bug acknowledged by developer. (Fri, 26 Jul 2013 13:36:04 GMT) Full text and rfc822 format available.

Message #70 received at 621890-close@bugs.debian.org (full text, mbox):

From: Barry deFreese <bdefreese@debian.org>
To: 621890-close@bugs.debian.org
Subject: Bug#621890: fixed in haxe 1:3.0.0~svn6707-3
Date: Fri, 26 Jul 2013 13:33:05 +0000
Source: haxe
Source-Version: 1:3.0.0~svn6707-3

We believe that the bug you reported is fixed in the latest version of
haxe, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 621890@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Barry deFreese <bdefreese@debian.org> (supplier of updated haxe package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@ftp-master.debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Fri, 26 Jul 2013 09:04:49 -0400
Source: haxe
Binary: haxe
Architecture: source i386
Version: 1:3.0.0~svn6707-3
Distribution: unstable
Urgency: low
Maintainer: Debian QA Group <packages@qa.debian.org>
Changed-By: Barry deFreese <bdefreese@debian.org>
Description: 
 haxe       - Web-oriented universal programming language
Closes: 621890
Changes: 
 haxe (1:3.0.0~svn6707-3) unstable; urgency=low
 .
   * QA upload.
   * Upload to unstable.
   * Bytecompiling builds all archs. (Closes: #621890).
Checksums-Sha1: 
 f07f7537a365735adc1388d3a79006b7f1eb3066 1277 haxe_3.0.0~svn6707-3.dsc
 edd0bc2dee0cc84eeec7fb5e4874974e6e95e3ba 21051 haxe_3.0.0~svn6707-3.debian.tar.gz
 35e11475b323bd8bebbd3cd2ef1f9dc216f19159 1316012 haxe_3.0.0~svn6707-3_i386.deb
Checksums-Sha256: 
 338869babce9d05318aef4a34621dacea8dc6177d2adcc0bdd985c03c85cf481 1277 haxe_3.0.0~svn6707-3.dsc
 0b31a31c7f225f4c1bba24da4a825228a7789416338c63d43848eac691f98603 21051 haxe_3.0.0~svn6707-3.debian.tar.gz
 7fb35d6b050c4bd9f7aa1da121203e54d94a101fbf74422f08836ef432fcc8c3 1316012 haxe_3.0.0~svn6707-3_i386.deb
Files: 
 ac2219ebf76b2815f44c1a5fc1f8c63c 1277 devel optional haxe_3.0.0~svn6707-3.dsc
 9ca91233db0c3a3704e768e746e399a2 21051 devel optional haxe_3.0.0~svn6707-3.debian.tar.gz
 0998b27072212291eedd034436fa886f 1316012 devel optional haxe_3.0.0~svn6707-3_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iEYEARECAAYFAlHyd+kACgkQ5ItltUs5T37V4QCgzJvjDhhyKwlHz9ytJAUoPh0d
DxMAn3PRJFpXfLdzP9oaOEzLP0acQU5U
=h1PA
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sat, 24 Aug 2013 07:31:07 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 16 23:28:00 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.